Referência/Webhooks/news.letter
Evento por instância

news.letter

Eventos relacionados a newsletters/canais.

flag: newsLetter

Requisição

http
POST /webhooks/codechat HTTP/1.1
Content-Type: application/json
x-webhook-event: news.letter

Payload

json
{
"data": {
"dateTime": "2026-07-04T18:00:00Z",
"muted": true,
"newsletterJid": "120363000000000000@newsletter",
"type": "mute.change"
},
"event": "news.letter",
"instance": {
"connectionStatus": "online",
"externalAttributes": {},
"id": 1,
"name": "codechat",
"ownerJid": "[email protected]"
},
"timestamp": "2026-07-04T18:00:00Z"
}
typestring

obrigatório, não aceita `null`. Subtipo do evento de newsletter. Valores possíveis: `join`, `leave`, `live.update`, `message.meta`, `mute.change`.

newsletterJidstring

opcional, não aceita `null`. JID da newsletter quando a origem traz id ou jid.

dateTimestring

obrigatório, não aceita `null`. Timestamp RFC3339 do processamento.

additionalPropertiesobject

opcional, não aceita `null`. Campos achatados do evento original.

Observações de entrega

  • Sem observações adicionais.
  • Implemente idempotência por chave de negócio e aceite a possibilidade de duplicidades e reordenação.